Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2113723 - scalpel: FTBFS in Fedora rawhide/f37
Summary: scalpel: FTBFS in Fedora rawhide/f37
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: scalpel
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Ambroz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38FTBFS F39FTBFS F37FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-08-02 00:16 UTC by Fedora Release Engineering
Modified: 2023-03-13 00:59 UTC (History)
1 user (show)

Fixed In Version: scalpel-2.1-0.rc2.35e1367.fc38.1 scalpel-2.1-0.rc2.35e1367.fc37.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-03-11 03:13:52 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2022-08-02 00:16 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2022-08-02 00:16 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2022-08-02 00:16 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2022-08-02 00:16:25 UTC
scalpel failed to build from source in Fedora rawhide/f37

https://koji.fedoraproject.org/koji/taskinfo?taskID=89918567


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild
Please fix scalpel at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
scalpel will be orphaned. Before branching of Fedora 38,
scalpel will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2022-08-02 00:16:27 UTC
Created attachment 1902586 [details]
build.log

Comment 2 Fedora Release Engineering 2022-08-02 00:16:28 UTC
Created attachment 1902587 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2022-08-02 00:16:29 UTC
Created attachment 1902588 [details]
state.log

Comment 4 Ben Cotton 2022-08-09 13:33:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.

Comment 5 Michal Ambroz 2022-11-07 22:19:41 UTC
updated to current git snapshot, seems to build fine on rawgide

Comment 6 Fedora Update System 2023-03-04 23:27:23 UTC
FEDORA-2023-acbbaf26fc has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-acbbaf26fc

Comment 7 Fedora Update System 2023-03-04 23:27:25 UTC
FEDORA-2023-2537b5fcc2 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-2537b5fcc2

Comment 8 Fedora Update System 2023-03-05 02:31:42 UTC
FEDORA-2023-2537b5fcc2 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-2537b5fcc2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-2537b5fcc2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2023-03-05 03:10:36 UTC
FEDORA-2023-acbbaf26fc has been pushed to the Fedora 38 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-acbbaf26fc

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2023-03-11 03:13:52 UTC
FEDORA-2023-acbbaf26fc has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2023-03-13 00:59:17 UTC
FEDORA-2023-2537b5fcc2 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.